<?php
namespace Mirasvit\SeoMarkup\Block\Rs\Searchbox;

/**
 * Interceptor class for @see \Mirasvit\SeoMarkup\Block\Rs\Searchbox
 */
class Interceptor extends \Mirasvit\SeoMarkup\Block\Rs\Searchbox implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Framework\View\Element\Template\Context $context, \Mirasvit\SeoMarkup\Model\Config\SearchboxConfig $searchboxConfig)
    {
        $this->___init();
        parent::__construct($context, $searchboxConfig);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
